<?php
  session_start();
  $ruta="../../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  require_once($ruta.'recursos/pdf/tcpdf/tcpdf.php');
  include($ruta."recursos/qr/qrlib.php");
/******************    SEGURIDAD *************/
extract($_GET);
//********* SEGURIDAD GET *************/
$valor=dcUrl($lblcode);
$cred=$credito->muestra($valor);
$per=$persona->mostrarPrimero("idpersona=".$cred['idpersona']);
$rutaImg=$ruta."imagenes/logo.png";
$demp=$miempresa->muestra(1);
$dus=$usuario->muestra($cred["usuariocreacion"]);
$tba=$tipobanca->muestra($cred['idtipobanca']);
$eje=$vadmejecutivo->muestra($cred['idejecutivo']);
$ddom=$dominio->muestra($cred['idfrecuenciapago']);


// create new PDF document
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
//$pdf->SetPrintHeader(false);
$pdf->setHeaderData('',0,'','',array(0,0,0), array(255,255,255) );  
// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('JHULIOS');
$pdf->SetTitle('PLAN DE PAGOS');
$pdf->SetSubject('PLAN DE PAGOS');
$pdf->SetKeywords('PLAN DE PAGOS');


// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
//$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
//$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
//$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/es.php')) {
    require_once(dirname(__FILE__).'/lang/es.php');
    $pdf->setLanguageArray($l);
}
// ---------------------------------------------------------
// set default font subsetting mode
$pdf->setFontSubsetting(true);

// Set font
// dejavusans is a UTF-8 Unicode font, if you only need to
// print standard ASCII chars, you can use core fonts like
// helvetica or times to reduce file size.
//$pdf->SetFont('dejavusans', '', 14, '', true);
$pdf->SetFont('helvetica', '', 8);
$pdf->AddPage('','A4');
// Add a page
// This method has several options, check the source code documentation for more information.
setlocale(LC_ALL, 'es_ES').': ';
// Set some content to print
$html=' 
<style>
.tituloFactura{
  font-size:12px;
  font-weight: bold;
}
.tituloCenda{
  color:red;
}
.letras{
  font-size:7px;
}
.letras2{
  font-size:18px;
}
</style>
<table width="100%"  align="center">
          <tr>
            <td class="letras">
              <center><br>
              </center>
            </td>
            <td><br>
            <div class="tituloFactura">PLAN DE PAGOS</div>
            </td>
            <td><br>
            <table border="1">
              <tr>
                <td>
                  <table class="letras" cellpadding="2">
                    <tr>
                      <td align="right">
                        FECHA:
                      </td>
                      <td align="left">
                        <b>'.$cred['fechacreacion'].'</b>
                      </td>
                    </tr>
                    <tr>
                      <td align="right">
                        HORA:
                      </td>
                      <td align="left">
                        <b>'.$cred['horacreacion'].'</b>
                      </td>
                    </tr>
                    <tr>
                      <td align="right">
                        EJECUTIVO:
                      </td>
                      <td align="left">
                        <b>'.$dus['usuario'].'</b>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>                     
            </td>
          </tr>
        </table';
        $pdf->SetFont('helvetica', '', 9);
$pdf->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);
$html='
<style>
.tituloCenda{
  text-align:center;
  font-weight: bold;
  font-size:10px;
}
.sMoneda{
  text-align: right;
}
.scenter{
  text-align: center;
}
.sfila{
  border: solid 1px #ddd;
}
.letras{
  font-size:6px;
  text-align: center;
}
.letras4{
  font-size:8px;
}
.cabeceraCentro{
  padding: 1px;
  border-top: solid 1px #ddd;
  border-bottom: solid 1px #ddd;
  text-align:center;
}
.textocentro{
  text-align:center;
}
.cabecera2{
  border: solid 1px white;
  font-weight: bold;
}
</style>
  <table class="cabecera3" width="530">
    <tr>
      <td width="50%"><b>NOMBRE : </b>'.$per['nombre']." ".$per['paterno']." ".$per['materno'].'</td>
      <td width="50%"><b>CAPITAL: </b>'.number_format($cred['montoOT'], 2, '.', '').' BS</td>
    </tr>
    <tr>
      <td><b>CI: </b>'.$per['carnet'].''.$per['expedido'].'</td>
      <td><b>Cuotas: </b>'.$cred['cuotas'].' Cuotas</td>
    </tr>
    <tr>
      <td><b>CODIGO: </b>'.$cred['idcredito'].'</td>
      <td><b>Tasa: </b>'.$cred['interes'].'%</td>
    </tr>
    <tr>
      <td><b>BANCA: </b>'.$tba['nombre'].'</td>
      <td><b>FRECUENCIA: </b> Cada '.$cred['lapsoDias'].' días</td>
    </tr>
    <tr>
      <td><b>Dias Gracia: </b>0</td>
      <td><b>ASESOR : </b>'.$eje['nombre']." ".$eje['paterno'].'</td>
      <td></td>
    </tr>
  </table>
<table border="0" cellpadding="2" width="704">
  <tr style="background-color:#dddddd;">
    <td class="cabecera2 textocentro" width="30"> NRO. </td>
    <td class="cabecera2 textocentro" width="50"> FECHA </td>
    <td class="cabecera2 textocentro" width="70"> AMORT. CAP. </td>
    <td class="cabecera2 textocentro" width="70"> INTERÉS</td>
    <td class="cabecera2 textocentro" width="70"> C.A.</td>
    <td class="cabecera2 textocentro" width="80"> SEGURO </td>
    <td class="cabecera2 textocentro" width="80"> CUOTA </td>
    <td class="cabecera2 textocentro" width="80"> SALDO CAP. </td>
  </tr>
  <tr>
    <td class="sfila textocentro">0</td>
    <td class="sfila textocentro">'.$cred['fechadesembolso'].'</td>
    <td class="sfila textocentro">0</td>
    <td class="sfila textocentro">0</td>
    <td class="sfila textocentro">0</td>
    <td class="sfila textocentro">0</td>
    <td class="sfila textocentro">0</td>
    <td class="sfila textocentro">'.number_format($cred['montoOT'], 2, '.', '').'</td>
  </tr>
  ';
  $pdf->SetFont('helvetica', '', 8);
  $fechaActual="";
  $montoCAM=$cred['montoOT']/$cred['cuotas'];
  /***************** INTERES  **********************************************/
   //meses plazo
    $mesesPlazo=$cred['cuotas']/$ddom['codigo'];
  $interesTotal=($cred['montoOT']*($cred['interes']/100)*$mesesPlazo);
  $interesCuota=$interesTotal/$cred['cuotas'];
  /*************************************************************************/
  // CUOTA ACUMULADA
  $gaTotal=$cred['montoOT']*($tba['gastosadmin']/100);
  $gastoadmin=$gaTotal/$cred['cuotas'];
  /****************************************************************/
  //SEGURO
  $seguro=$cred['montoOT']*($cred['seguro']/100);
  /*******************************************************/
  $saldo=$cred['montoOT'];

  for ($cuota=1; $cuota <= $cred['cuotas']; $cuota++) {
    $totalCuota=$montoCAM+$interesCuota+$gastoadmin+$seguro;
    $saldo=$saldo-$montoCAM;

    if ($cuota==1) {
      $fechaActual=$cred['fechaprimer'];
      $html=$html.'
      <tr>
        <td class="sfila textocentro">'.$cuota.'</td>
        <td class="sfila textocentro">'.$fechaActual.'</td>
        <td class="sfila textocentro">'.number_format($montoCAM, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($interesCuota, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($gastoadmin, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($seguro, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($totalCuota, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($saldo, 2, '.', '').'</td>
      </tr>';
    }else{
      $fecha = date('Y-m-j');
      $nuevafecha = strtotime ( '+'.$cred['lapsoDias'].' day' , strtotime ($fechaActual)) ;
      $nuevafecha = date ( 'Y-m-d' , $nuevafecha );
      $fechaActual=$nuevafecha;
      $html=$html.'
      <tr>
        <td class="sfila textocentro">'.$cuota.'</td>
        <td class="sfila textocentro">'.$nuevafecha.'</td>
        <td class="sfila textocentro">'.number_format($montoCAM, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($interesCuota, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($gastoadmin, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($seguro, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($totalCuota, 2, '.', '').'</td>
        <td class="sfila textocentro">'.number_format($saldo, 2, '.', '').'</td>
      </tr>';
    }
  }
  $html=$html.'

 </table>
 ';
// Print text using writeHTMLCell()
$pdf->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);
// ---------------------------------------------------------
// Close and output PDF document
// This method has several options, check the source code documentation for more information. "D"
$pdf->Output('historial.pdf', 'I');

 ?>
